Bug 377041 - [RFE] Make gnome-wm launch compiz with ccp if {_libdir}/compiz/libccp.so exist
[RFE] Make gnome-wm launch compiz with ccp if {_libdir}/compiz/libccp.so exist
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 376551
  Show dependency treegraph
 
Reported: 2007-11-11 23:24 EST by Mohd Izhar Firdaus Ismail
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 13:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2007-11-11 23:24:35 EST
Description
compiz/libccp.so  (provided by libcompizconfig), is another configuration
backend for compiz. It allows desktop-neutral configuration in flat file and
also serves as an abstraction layer for the desktop-specific gconf and kconfig
backend. 

CCSM, a configurator for the compiz-fusion project, requires compiz to be loaded
with ccp for it to be Actually JustWorks(tm). 

Current gnome-wm defaults will load compiz with glib/gconf. If possible, can
gnome-wm be patched so that it will load compiz using ccp whenever libccp.so
exist (similar with the approach of the launcher script from compiz-manager
package)??. Or maybe an entry at gconf which defines what plugin to load with
compiz from gnome-wm.

Thank you
Comment 1 Ray Strode [halfline] 2007-11-12 09:34:39 EST
I'm going to defer this to Kristian.  Whatever he things we should do I'll do.
Comment 2 Kristian Høgsberg 2007-11-19 13:16:06 EST
This comes up now and then - here's what we should do:

http://www.redhat.com/archives/fedora-desktop-list/2007-October/msg00067.html

Note You need to log in before you can comment on or make changes to this bug.